<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>OER Map</title>

  <link rel="stylesheet" href="https://unpkg.com/leaflet@1.9.4/dist/leaflet.css" integrity="sha256-p4NxAoJBhIIN+hmNHrzRCf9tD/miZyoHS5obTRR9BMY=" crossorigin=""/>
  <script src="https://unpkg.com/leaflet@1.9.4/dist/leaflet.js" integrity="sha256-20nQCchB9co0qIjJZRGuk2/Z9VM+kNiyxNV1lvTlZBo=" crossorigin=""></script>

  <style>
      body {
        padding: 0;
        margin: 0;
      }
      html, body, #map {
        height: 100%;
        width: 100vw;
      }
      #container {
        width: 100%;
        height: 100%;
        display: flex;
        justify-content: center;
      }
      #map {
        max-width: 1200px;
      }
      .info {
          padding: 6px 8px;
          font: 14px/16px Arial, Helvetica, sans-serif;
          background: white;
          background: rgba(255,255,255,0.8);
          box-shadow: 0 0 15px rgba(0,0,0,0.2);
          border-radius: 5px;
      }
      .info h4 {
          margin: 0 0 5px;
          color: #777;
      }
      .legend {
          line-height: 18px;
          color: #555;
      }
      .legend i {
          width: 18px;
          height: 18px;
          float: left;
          margin-right: 8px;
          opacity: 0.7;
      }
  </style>
</head>
<body>
<div id="container"><div id="map"></div></div>
<script type="text/javascript" src="countries.js"></script>
<script type="text/javascript" src="states.js"></script>
<script type="text/javascript" src="oer-map.js"></script>
<script>
  const map = new OerMap();
  map.addBaseLayer("Countries", geoJsonData);
  map.addBaseLayer("States", statesGeoJsonData, false);
  map.initMap();
</script>
